Create a template
curl --request POST \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "appointment_reminder",
"category": "UTILITY",
"language": "en_US",
"body_text": "Hi {{1}}, see you at {{2}}.",
"example_body_params": [
"Sam",
"3 pm"
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/"
payload = {
"name": "appointment_reminder",
"category": "UTILITY",
"language": "en_US",
"body_text": "Hi {{1}}, see you at {{2}}.",
"example_body_params": ["Sam", "3 pm"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'appointment_reminder',
category: 'UTILITY',
language: 'en_US',
body_text: 'Hi {{1}}, see you at {{2}}.',
example_body_params: ['Sam', '3 pm']
})
};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'appointment_reminder',
'category' => 'UTILITY',
'language' => 'en_US',
'body_text' => 'Hi {{1}}, see you at {{2}}.',
'example_body_params' => [
'Sam',
'3 pm'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/"
payload := strings.NewReader("{\n \"name\": \"appointment_reminder\",\n \"category\": \"UTILITY\",\n \"language\": \"en_US\",\n \"body_text\": \"Hi {{1}}, see you at {{2}}.\",\n \"example_body_params\": [\n \"Sam\",\n \"3 pm\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"appointment_reminder\",\n \"category\": \"UTILITY\",\n \"language\": \"en_US\",\n \"body_text\": \"Hi {{1}}, see you at {{2}}.\",\n \"example_body_params\": [\n \"Sam\",\n \"3 pm\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"appointment_reminder\",\n \"category\": \"UTILITY\",\n \"language\": \"en_US\",\n \"body_text\": \"Hi {{1}}, see you at {{2}}.\",\n \"example_body_params\": [\n \"Sam\",\n \"3 pm\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"status": 200,
"response": {
"id": "400000000000001",
"status": "PENDING",
"category": "UTILITY"
}
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Tenants
Create a template
Sends a new template to Meta for review. Answers 201. The review result comes later as the event template.status_changed. Send components as Meta defines them, or body_text with the optional fields. Needs the channels:write scope.
POST
/
api
/
v1
/
partner
/
tenants
/
{external_ref}
/
templates
/
Create a template
curl --request POST \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "appointment_reminder",
"category": "UTILITY",
"language": "en_US",
"body_text": "Hi {{1}}, see you at {{2}}.",
"example_body_params": [
"Sam",
"3 pm"
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/"
payload = {
"name": "appointment_reminder",
"category": "UTILITY",
"language": "en_US",
"body_text": "Hi {{1}}, see you at {{2}}.",
"example_body_params": ["Sam", "3 pm"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'appointment_reminder',
category: 'UTILITY',
language: 'en_US',
body_text: 'Hi {{1}}, see you at {{2}}.',
example_body_params: ['Sam', '3 pm']
})
};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'appointment_reminder',
'category' => 'UTILITY',
'language' => 'en_US',
'body_text' => 'Hi {{1}}, see you at {{2}}.',
'example_body_params' => [
'Sam',
'3 pm'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/"
payload := strings.NewReader("{\n \"name\": \"appointment_reminder\",\n \"category\": \"UTILITY\",\n \"language\": \"en_US\",\n \"body_text\": \"Hi {{1}}, see you at {{2}}.\",\n \"example_body_params\": [\n \"Sam\",\n \"3 pm\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"appointment_reminder\",\n \"category\": \"UTILITY\",\n \"language\": \"en_US\",\n \"body_text\": \"Hi {{1}}, see you at {{2}}.\",\n \"example_body_params\": [\n \"Sam\",\n \"3 pm\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/templates/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"appointment_reminder\",\n \"category\": \"UTILITY\",\n \"language\": \"en_US\",\n \"body_text\": \"Hi {{1}}, see you at {{2}}.\",\n \"example_body_params\": [\n \"Sam\",\n \"3 pm\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"status": 200,
"response": {
"id": "400000000000001",
"status": "PENDING",
"category": "UTILITY"
}
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Body
application/json
The body text. Required when you send no components.
Response
Success